#!/usr/bin/env python
"""
@author: dephil

Gaussian variates

"""
import random
import matplotlib.pyplot as plt
import numpy as np
from scipy.stats import norm

dice = 12
throws = 1000
g = [0]*throws

for i in xrange(throws):
    g[i] = sum([random.randint(1, 6) for j in range(dice)])

bins = range(1, dice*(6+1)+1, 1)
plt.hist(g, bins=bins)

mu = np.mean(g) + 0.5
sig = np.std(g)
x = np.linspace(1, 6*dice, 1000)

plt.plot(x, throws*norm.pdf(x, mu, sig), 'r')

plt.show()
